//
//  JNIWrapper.java
//
//  Created by Linus Pithan on Tue Dec 09 2003.
//  Copyright (c) 2003 __Linus Pithan__. All rights reserved.
//

import java.util.*;

public class JNIWrapper {

    static {
        // Ensure native JNI library is loaded
        System.loadLibrary("ServiceUSB");
    }

    public JNIWrapper() {
        System.out.println("JNIWrapper instance created");
    }

    public int ServiceUSB_GetInputValue(int inDeviceIdentifier)
    {
        return ServiceUSBGetInputValue_method(inDeviceIdentifier);
    }
    
    public int ServiceUSB_GetOutputValue(int inDeviceIdentifier)
    {
        return ServiceUSBGetOutputValue_method(inDeviceIdentifier);
    }

    
    public int ServiceUSB_GetEXValue(int inDeviceIdentifier)
    {
        return ServiceUSBGetEXValue_method(inDeviceIdentifier);
    }
    
    public int ServiceUSB_GetEYValue(int inDeviceIdentifier)
    {
        return ServiceUSBGetEYValue_method(inDeviceIdentifier);
    }
    
    public void ServiceUSB_SetOutputValue(int value, int inDeviceIdentifier, long timeout)
    {
        ServiceUSBSetOutputValue_method((byte)value,inDeviceIdentifier,timeout);
    }
    
    public int MachWas(int variable)
    {
        return MachWas_method(variable);
    }


    native int MachWas_method(int variable);
    native int ServiceUSBGetInputValue_method(int inDeviceIdentifier);
    native int ServiceUSBGetEXValue_method(int inDeviceIdentifier);
    native int ServiceUSBGetEYValue_method(int inDeviceIdentifier);
    native void ServiceUSBSetOutputValue_method(byte value, int inDeviceIdentifier, long timeout);
    native int ServiceUSBGetOutputValue_method(int inDeviceIdentifier);

    public static void main (String args[]) {
        // insert code here...
        System.out.println("Started JNIWrapper");
        JNIWrapper newjni = new JNIWrapper();
        int result1 = newjni.ServiceUSB_GetInputValue(0);
        int result2 = newjni.ServiceUSB_GetEXValue(0);
        int result3 = newjni.ServiceUSB_GetEYValue(0);
        newjni.ServiceUSB_SetOutputValue(129,0,(long)60);
        int result4 = newjni.ServiceUSB_GetOutputValue(0);
        System.out.println("GetInput " + result1);
        System.out.println("EX " + result2);
        System.out.println("EY " + result3);
        System.out.println("GetOutput " + result4);
        System.out.println("NeuerWert+10 " + newjni.MachWas(15));
        
    }

}
